require 'spec_helper'

describe "/mashes/edit.html.erb" do
  include MashesHelper

  before(:each) do
    assigns[:mash] = @mash = stub_model(Mash,
      :new_record? => false,
      :requester => "value for requester",
      :map_a => 1,
      :map_b => 1,
      :winner => 1
    )
  end

  it "renders the edit mash form" do
    render

    response.should have_tag("form[action=#{mash_path(@mash)}][method=post]") do
      with_tag('input#mash_requester[name=?]', "mash[requester]")
      with_tag('input#mash_map_a[name=?]', "mash[map_a]")
      with_tag('input#mash_map_b[name=?]', "mash[map_b]")
      with_tag('input#mash_winner[name=?]', "mash[winner]")
    end
  end
end
